https://api.appstoreconnect.apple.com//v1/profilesfilter by attribute 'name'
filter by attribute 'profileState'
filter by attribute 'profileType'
filter by id(s)
comma-separated list of sort expressions; resources will be sorted as specified
the fields to include for returned resources of type profiles
maximum resources per page
comma-separated list of relationships to include
the fields to include for returned resources of type certificates
the fields to include for returned resources of type devices
the fields to include for returned resources of type bundleIds
maximum number of related certificates returned (when they are included)
maximum number of related devices returned (when they are included)
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://api.appstoreconnect.apple.com//v1/profiles' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://api.appstoreconnect.apple.com//v1/profilesfilter by attribute 'name'
filter by attribute 'profileState'
filter by attribute 'profileType'
filter by id(s)
comma-separated list of sort expressions; resources will be sorted as specified
the fields to include for returned resources of type profiles
maximum resources per page
comma-separated list of relationships to include
the fields to include for returned resources of type certificates
the fields to include for returned resources of type devices
the fields to include for returned resources of type bundleIds
maximum number of related certificates returned (when they are included)
maximum number of related devices returned (when they are included)
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://api.appstoreconnect.apple.com//v1/profiles' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}